

/*frameset frameset {
  background: red;
}*/

@set dock { 
  :root { 
     size:*;
     background:var(document);
     color:var(document-text);
  }

  .dockable {
    //border:1px solid;
    size:*;
    background: var(button-face);
    overflow:hidden;
  }

  .dockable.window {
    border:3px solid var(widget-border);
  }

  .dockable.window.dragging { /*opacity:0.75;*/ }

  .dockable.window.detached { 
    aspect: Resizable url(../utils/resizable.js); 
    foreground: no-repeat 100% 100%;
    foreground-size: 16px;
    foreground-image: url(path:M0 5 L5 0
                               M2 5 L5 2
                               M4 5 L5 4);
    stroke: var(widget-border);
    stroke-width: 1px;
  }
  .dockable.window.detached.mouse-on-corner { cursor: se-resize; }

  .dockable > caption {
    flow:horizontal;
    background:var(document);
    color:var(document-text);
    //border-top:1px solid var(widget-border);
    border-bottom:1px solid var(widget-border);
  }

  .dockable > caption > text { 
    padding:2px 6px;
    width:*; 
    overflow-x:hidden;
    white-space:no-wrap;
    text-overflow:ellipsis;
  }

  // micro button
  .dockable.window > caption > b {
    behavior:clickable;
    width: 20px;
    height: *;
    display:block;
    background:no-repeat 50% 50%;
    background-size:7px;
    stroke: var(panel-label-text);
    stroke-width:2px;
    transition: background-color linear 150ms;
  }

  .dockable.window > caption > b.close {
    background-image: url(path:M0 8 L8 0 M0 0 L8 8); // cross
  }
  .dockable.window > caption > b.close:hover {
    background-color:#FF4500;
    stroke:#FFFFFF;
  }

  .dockable > .content { size:*; }

  frameset {
     background:var(menu-back);
     color:var(document-text);
     border-spacing:3px;
  }

  frameset[tabs] { size:*; border-spacing:0; }
  frameset[tabs] > header { 
    flow:horizontal; 
    background: var(button-face);
    border-bottom:1px solid var(widget-border); 
  }
  frameset[tabs] > header > caption {
    display: block;
    flow:horizontal;
    behavior:radio;
    width:max-content;
    white-space:no-wrap;
    min-width:3em;
    padding:2px 6px;
    text-align:center;
    border-bottom:none;
  }
  frameset[tabs] > header > caption:checked {
    border-top:1px solid var(widget-border);
    border-left:1px solid var(widget-border);
    border-right:1px solid var(widget-border);
    background:var(document);
    padding:2px 6px 3px 6px;
    margin-bottom: -1px;
  }

  frameset[tabs] > .content {
    size:*;
  }



}

